Subject: bug#16992: feature request: background images

From: Stefan Kangas <[email-masked]>
Date: Fri, 5 Nov 2021 06:42:28 -0700

Hi Tadashi Watanabe,

I noticed that you have recently updated your e-mail address in the
bgex.el file on https://github.com/wachikun/emacs_bgex

We have discussed if it would be possible to integrate the "bgex" patch
into Emacs itself.  We think the feature is useful.  Would you be
interested in that?

See the previous discussion below, or here:

    https://debbugs.gnu.org/20647

Thanks in advance.

Best regards,
Stefan Kangas

Lars Ingebrigtsen <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
>> David Englund wrote:
>>
>>> GNU Emacs cannot use background images AFAIK
>>
>> I think there was a patch for this some years ago, but it was never
>> integrated (?). See eg
>>
>> http://lists.gnu.org/archive/html/emacs-devel/2009-06/msg00485.html
>> http://lists.gnu.org/archive/html/emacs-devel/2003-08/msg00237.html
>>
>> Maybe someone would like to resurrect it.
>
> It's apparently being kept up to date:
>
> https://github.com/wachikun/emacs_bgex
>
> Unfortunately all the text surrounding it, and even the doc strings are
> in Japanese, so reviewing the code is difficult.
>
> I've Cc'd the author of bgex, because it would be nice to have
> backgrounds in Emacs windows.
>
> Tadashi -- would you be interested in integrating the code into Emacs?
> If that's the case, translating it into English would be a useful first
> step.